[pkg-horde] [SCM] Debian Horde Packages repository: dimp1 package branch, debian-sid, updated. 9823ea8ec3a85798108266e633ff3750433ce1e7
Mathieu Parent
math.parent at gmail.com
Mon Dec 21 18:14:45 UTC 2009
The following commit has been merged in the debian-sid branch:
commit 9823ea8ec3a85798108266e633ff3750433ce1e7
Author: Mathieu Parent <math.parent at gmail.com>
Date: Mon Dec 21 19:13:49 2009 +0100
New upstream release.
* Added a check in debian/rules to make sure that external libs are not
in the orig.tar.gz (dragdrop.js)
* Replace config symlink by update-alternatives to allow configuration
packages
* Added me to uploaders
diff --git a/debian/changelog b/debian/changelog
index 560958b..178cc5f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+dimp1 (1.1.4+debian0-1) UNRELEASED; urgency=low
+
+ * New upstream release.
+ * Added a check in debian/rules to make sure that external libs are not
+ in the orig.tar.gz (dragdrop.js)
+ * Replace config symlink by update-alternatives to allow configuration
+ packages
+ * Added me to uploaders
+
+ -- Mathieu Parent <sathieu at debian.org> Mon, 21 Dec 2009 19:07:13 +0100
+
dimp1 (1.1.3-1) unstable; urgency=low
* New upstream release.
diff --git a/debian/control b/debian/control
index bc114e1..5e92421 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,7 @@ Source: dimp1
Section: web
Priority: optional
Maintainer: Debian Horde Maintainers <pkg-horde-hackers at lists.alioth.debian.org>
-Uploaders: Gregory Colpart <reg at debian.org>
+Uploaders: Gregory Colpart <reg at debian.org>, Mathieu Parent <sathieu at debian.org>
Build-Depends: debhelper (>= 5)
Vcs-Git: git://git.debian.org/pkg-horde/dimp1.git
Vcs-Browser: http://git.debian.org/?p=pkg-horde/dimp1.git
diff --git a/debian/dimp1.postinst b/debian/dimp1.postinst
new file mode 100644
index 0000000..cd713ef
--- /dev/null
+++ b/debian/dimp1.postinst
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ update-alternatives --install /usr/share/horde3/dimp/config dimp1-config /etc/horde/dimp1 1
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/dimp1.prerm b/debian/dimp1.prerm
new file mode 100644
index 0000000..f567538
--- /dev/null
+++ b/debian/dimp1.prerm
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove)
+ update-alternatives --remove dimp1-config /etc/horde/dimp1
+ ;;
+
+ upgrade|deconfigure|failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/links b/debian/links
new file mode 100644
index 0000000..72aa1e0
--- /dev/null
+++ b/debian/links
@@ -0,0 +1,2 @@
+/usr/share/javascript/scriptaculous/dragdrop.js /usr/share/horde3/js/dragdrop.js
+
diff --git a/debian/rules b/debian/rules
index 692519f..44f5302 100755
--- a/debian/rules
+++ b/debian/rules
@@ -11,7 +11,7 @@ configure-stamp:
dh_testdir
touch configure-stamp
-build: build-stamp
+build: check-external-libs build-stamp
build-stamp: configure-stamp
dh_testdir
@@ -43,7 +43,8 @@ install: build
done
cp config/conf.xml debian/dimp1/etc/horde/dimp1/
touch debian/dimp1/etc/horde/dimp1/conf.php
- dh_link etc/horde/dimp1 usr/share/horde3/dimp/config
+ #### dimp expects configuration in config subdir, an update-alternatives
+ #### symlink is created in maintainer's scripts to comply with FHS
#### no exec right for .php files (lintian warnings) ####
find ./ -name "*.php" -exec chmod -x '{}' \;
@@ -101,5 +102,16 @@ binary-arch: build install
# We have nothing to do by default.
binary: binary-indep binary-arch
+
+check-external-libs:
+ if [ -e js/dragdrop.js ] || [ -e js/src/dragdrop.js ]; then \
+ echo ""; \
+ echo " ** **"; \
+ echo " ** tar contains external files! **"; \
+ echo " ** **"; \
+ echo ""; \
+ exit 1; \
+ fi
+
.PHONY: build clean binary-indep binary-arch binary install configure
--
Debian Horde Packages repository: dimp1 package
More information about the pkg-horde-hackers
mailing list